
QGIS Application - Feature request #11632

Support for colour picker in colour dialog under OSX

2014-11-12 01:50 PM - Rhenriques Henriques

Status: Closed

Priority: High

Assignee:

Category: GUI

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 19885

Description

Under macosx, the new colour picker does not show the "pippete" picker tab, as it is in the left part of this image

https://www.qgis.org/en/_images/7189c0fe2d1ff3fdc63c531a02f74b5d32b70bfd.png

This is a very useful feature and it should be present!

Cheers

History

#1 - 2014-11-12 11:53 PM - Nyall Dawson

- Tracker changed from Bug report to Feature request

- Subject changed from New Colour Picker to Support for colour picker in colour dialog under OSX

#2 - 2014-11-12 11:56 PM - Nyall Dawson

- Resolution set to up/downstream

It's due to a limitation with Qt under OSX - see the note under http://qt-project.org/doc/qt-4.8/qwidget.html#grabMouse

There's not much we can do until this is addressed by Qt. It may be possible to reimplement the feature using OSX specific apis, but that would require

someone experienced in development under that platform to tackle this....

#3 - 2014-11-14 08:46 PM - Rhenriques Henriques

Hi Nyall

Thank you so much for your quick answer. So, in this case, why not give the users the option to choose the system colour picker for this single purpose

(which, by the way, is excellent under macosx)? A simple button should be enought. This feature was in version 1.9 until 2.2 and it worked well. the pipette

picker it's a time saver to build complex custom colour legends from digitised maps.

#4 - 2014-11-15 02:51 AM - Nyall Dawson

That option exists - look in the options dialog for "use native color picker". Checking that will disable QGIS' color picker and use the default operating

system picker.

#5 - 2014-11-15 10:16 AM - Rhenriques Henriques

Hi Nyall. The option it's endeed there but it's not working for the pipette picker also. It is not well implemented. If we choose a new colour, the system
picker appears. Then, if you choose the pipette, nothing happens. After, if we press "ok" into the colour picker, the magnifier from the colour pipette

appears (after the closing of the colour picking palette) and it's impossible to choose any colour and its also difficult to make the magnifier go away. We

have to press several times the mouse to make it go. Something is wrong in the code concerning the sequence of events for pipette colour picking while

using the system option.

#6 - 2014-11-15 09:09 PM - Nyall Dawson

Ok - thanks for the details. I'll leave this open for a developer experienced with OSX. I've no access to an OSX build environment to debug with.

#7 - 2014-11-16 07:02 AM - Rhenriques Henriques

Thank you so much Nyall. I still have QGIS 1.8 installed and I'm still using it for this purpose (colour picking) because it was working nicely then. Until QGIS

2.4 all was fine too. Maybe someone can recover the specific code for pipette colour picking from one of these versions. Beyond this issue, the colour

selecting features are working nicely, as expected.

#8 - 2015-11-07 11:25 AM - Giovanni Manghi

- Target version deleted (Version 2.6)

#9 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#10 - 2019-01-08 02:42 AM - Nyall Dawson

- Resolution changed from up/downstream to fixed/implemented

- Description updated

- Status changed from Open to Closed

Fixed in 3.0
